Go to the latest version of this document.

# ``twisted`.`conch`.`checkers`.`IAuthorizedKeysDB``

interface documentation

`class IAuthorizedKeysDB(Interface): (source)`

Known implementations: `twisted.conch.checkers.InMemorySSHKeyDB`, `twisted.conch.checkers.UNIXAuthorizedKeysFiles`

View In Hierarchy

An object that provides valid authorized ssh keys mapped to usernames.

Present Since
15.0

Method | `getAuthorizedKeys` | Gets an iterable of authorized keys that are valid for the given `avatarId`.

def getAuthorizedKeys(avatarId): (source)

Gets an iterable of authorized keys that are valid for the given `avatarId`.

Parameters
avatarId:valid return value of `twisted.cred.checkers.ICredentialsChecker.requestAvatarId` | the ID of the avatar

Returns
an iterable of `twisted.conch.ssh.keys.Key`